import { IPageDefinition, IPageReference } from "./pagedef";
export interface IPlugin {
    readonly name: string;
    registerRoot(pagedef: IPageDefinition, rootName?: string): IPlugin;
    getRoot(rootName?: string): IPageDefinition;
}
export declare class Plugin implements IPlugin {
    private readonly pageResolver;
    readonly name: string;
    constructor(name: string, pageResolver: (defOrRef: IPageDefinition | IPageReference) => IPageDefinition);
    private readonly _roots;
    registerRoot(pagedef: IPageDefinition, rootName?: string): IPlugin;
    private setPluginId(pagedef, pluginId);
    getRoot(rootName?: string): IPageDefinition;
}
