/// <reference types="angular" />
import * as angular from "angular";
import * as service from "./service";
import * as plugin from "./plugin";
export interface IPluginManagerServiceProvider extends angular.IServiceProvider {
    registerPlugin(name: string): plugin.IPlugin;
    getPlugin(name: string): plugin.IPlugin;
}
export declare class PluginManagerServiceProvider implements IPluginManagerServiceProvider {
    private readonly _plugins;
    registerPlugin(name: string): plugin.IPlugin;
    getPlugin(name: string): plugin.IPlugin;
    private resolve(pageDefOrRef);
    $get: (string | (($q: angular.IQService, $timeout: angular.ITimeoutService) => service.PluginManagerService))[];
}
